from .download import download_zip, download_file
from pathlib import Path
down_path = Path(__file__).parent
xz_url = "addons_file"+"/"+down_path.name+"/"
download_zip(xz_url + "bin.zip",down_path)

bl_info = {
    "name": "Better FBX Importer & Exporter",
    "author": "mesh online",
    "version": (5, 4, 18),
    "blender": (2, 82, 0),
    "location": "File > Import-Export",
    "description": "Import and export FBX files with native FBX SDK",
    "warning": "",
    "wiki_url": "http://www.mesh-online.net/fbx.html",
    "category": "Import-Export",
    }


if "bpy" in locals():
    import importlib
    if "importer" in locals():
        importlib.reload(importer)
    if "exporter" in locals():
        importlib.reload(exporter)


def register():
    from .exporter import register_exporter
    register_exporter()
    from .importer import register_importer
    register_importer()


def unregister():
    from .exporter import unregister_exporter
    unregister_exporter()
    from .importer import unregister_importer
    unregister_importer()
